Summary: A library for editing typed in command lines.
Name: readline41
Version: 4.1
Release: 17
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnu.org/gnu/readline-%{version}.tar.gz
Patch0: readline-2.2.1-guard.patch
Patch1: readline-4.1-outdated.patch
Patch2: readline-4.1-fixendkey.patch
Patch3: readline-4.1-booleancase.patch
Patch4: readline-4.1-headerpaths.patch
Prereq: /sbin/ldconfig
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: sed
ExcludeArch: s390 s390x

%description
The readline library reads a line from the terminal and returns it,
allowing the user to edit the line with standard emacs editing keys.
The readline library allows programmers to provide an easy to use and
more intuitive interface for users.

If you want to develop programs that will use the readline library,
you'll also need to install the readline-devel package.

%prep
%setup -q -n readline-%{version}
%patch0 -p1 -b .guard
%patch1 -p1 -b .outdated
%patch2 -p1 -b .fixendkey
%patch3 -p1 -b .booleancase
%patch4 -p1 -b .headerpaths

%build
cd support
touch configure.in
%{__libtoolize} --copy --force
cd ..
%configure
make all shared

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}

%makeinstall install install-shared

chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/*.so*

{ cd ${RPM_BUILD_ROOT}
  ln -sf libreadline.so.%{version} .%{_libdir}/libreadline.so
  ln -sf libhistory.so.%{version} .%{_libdir}/libhistory.so
  ln -sf libreadline.so.%{version} \
  	.%{_libdir}/libreadline.so.`echo %{version} | sed 's^\..*^^g'`
  ln -sf libhistory.so.%{version} \
  	.%{_libdir}/libhistory.so.`echo %{version} | sed 's^\..*^^g'`
  gzip -9nf .%{_infodir}/*.info*
  rm -f .%{_infodir}/dir
}

# Remove devel files
rm -rf	$RPM_BUILD_ROOT%{_includedir}/readline \
	$RPM_BUILD_ROOT%{_mandir}/*
rm -f	$RPM_BUILD_ROOT%{_libdir}/*.a \
	$RPM_BUILD_ROOT%{_infodir}/*
 
%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*.*

%changelog
* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Oct 23 2002 Tim Waugh <twaugh@redhat.com> 4.1-15
- Don't install files not packaged.

* Thu Jul  4 2002 Jakub Jelinek <jakub@redhat.com> 4.1-14
- remove install-info stuff, as this package doesn't include anything but
  shared libraries
- run libtoolize

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jul 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude s390, s390x

* Thu May 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Build as compat library

* Fri Apr  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- change the paths listed for the header files in the man page to reflect
  the location changes from previous versions (#35073)
- note that "on" is acceptable instead of "On" in the man page (#21327)

* Thu Mar  8 2001 Preston Brown <pbrown@redhat.com>
- fix reading of end key termcap value (@7 is correct, was kH) (#30884)

* Tue Jan 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- mark the man page as currently out-of-date (#25294)

* Thu Sep  7 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging (64bit systems need to use libdir).

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Wed Aug  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- use "rm -f" in specfile

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Tue Mar 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 4.1

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added guard patch from Taneli Huuskonen <huuskone@cc.helsinki.fi>

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.2.1

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package /usr/info/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
